#pragma once

#include <QDialog>
#include "ui_change_shift.h"
#include "QtCore/qdatetime.h"

class change_shift : public QDialog
{
	Q_OBJECT

public:
	change_shift(QDialog *parent = Q_NULLPTR);
	~change_shift();

private:
	Ui::change_shift ui;

private slots:
	void on_pushButton_apply_released();

public slots:
	void recMsgFromDialogSetup(QTime timeA, QTime timeB, QTime timeC);

signals:
	void sendMsgToDialogSetup(QTime timeA, QTime timeB, QTime timeC);

};
